<template>
  <div>
    <Chart :cdata="cdata" />
  </div>
</template>

<script>
import Chart from "./chart.vue";
import axios from "@/api/ajax.js";
export default {
  data() {
    return {
      isProductQuality: true,
      cdata: {
        category: ["2/1", "2/2", "2/3", "2/4", "2/5", "2/6", "2/7"],
        sideData: [], //测漏合格率
        pressData: [], //压机合格率
      },
    };
  },
  components: {
    Chart,
  },
  mounted() {
    this.GetProductQuality();
    setInterval(() => {
      this.GetProductQuality();
    }, 5000);
  },
  methods: {
    GetProductQuality() {
        axios.post("/api/dt_qualitycheck/GetRate", null, "").then((x) => {
        if (x.data.status) {
          this.cdata.category = [];
          for (let index = 0; index < x.data.data.key.length; index++) {
            this.cdata.category.push(x.data.data.key[index]);
            this.cdata.pressData.push(x.data.data.r_RressAct1[index]);
            this.cdata.sideData.push(x.data.data.leak_detection[index]);
          }
          
        }
      });
    },
  },
};
</script>
<style lang="scss" scoped>
</style>